-- Schema: C6StagingPeriodico
-- Stored Procedure: RP_ST_Migraz_Area_pre_selective

CREATE procedure [C6StagingPeriodico].[RP_ST_Migraz_Area_pre_selective] as

begin 

	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_Migraz_Area_pre_selective',
		GETDATE(),
		'Elaborazione Trimestrale'
	)

	truncate table  C6StagingPeriodico.RP_Migraz_Area

	insert into C6StagingPeriodico.RP_Migraz_Area (
	   [Area]
	  ,[chiaveConsulenza]
      ,[percArea]
      ,[ctvArea]
      ,[varArea]
	  )

	select 
	   [Area]
	  ,[chiaveConsulenza]
      , null as  percArea
      ,dpos.ctv as ctvArea
       ,null as varArea

	   from [CONSUNI_PERIODICO].[consulenzaUnica].dbo.Area a
	   inner join  [CONSUNI_PERIODICO].[consulenzaUnica].dbo.Progetto prog
	   on a.chiaveArea = prog.ChiaveArea
	   inner join [CONSUNI_PERIODICO].[consulenzaUnica].dbo.PosizioniPortafoglio pos
	   on pos.chiaveProgetto = prog.chiaveProgetto
	   inner join  [CONSUNI_PERIODICO].[consulenzaUnica].dbo.DettaglioPosizionePortafoglio dpos
	   on pos.chiavePosizionePtf = dpos.chiavePosizionePtf

	   group by area,chiaveconsulenza,dpos.ctv



--	select *  from [CONSEVO_PERIODICO].[consulenzaEvoluta].dbo.Migraz_Area
	
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_Migraz_Area_pre_selective' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_Migraz_Area_pre_selective'
		)
	
end


